Announcement

Collapse
No announcement yet.

Help wanted instaling Gallium3D, Ubuntu 10.04, ATI x1400

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Help wanted instaling Gallium3D, Ubuntu 10.04, ATI x1400

    Hi,
    I'm running Ubuntu 10.04 and I'd greatly appreciate some help installing Gallium3D. I have a Dell Inspiron 6400 (e1505) laptop with an ATI Mobility x1400 graphics card. My glxinfo info is as follows:
    Code:
    OpenGL vendor string: DRI R300 Project
    OpenGL renderer string: Mesa DRI R300 (RV515 7145) 20090101 x86/MMX/SSE2 TCL DRI2
    OpenGL version string: 1.5 Mesa 7.7.1
    OpenGL extensions:
    I've read a great many forum posts, both here and on the ubuntu forums and have no idea what to do. Each posts seems to assume a great deal of knowledge I simply don't have. What repo/ppa do I use? Do I have to use a different kernel? Can anyone outline a simple install method?

    Any help or links would be appreciated.

  • #2
    Originally posted by Hylow29 View Post
    I'm running Ubuntu 10.04 and I'd greatly appreciate some help installing Gallium3D.
    Please read through the thread called "Radeon Gallium on ubuntu", for instance?

    https://launchpad.net/~xorg-edgers/+archive/radeon

    Comment


    • #3
      Originally posted by tormod View Post
      Please read through the thread called "Radeon Gallium on ubuntu", for instance?

      https://launchpad.net/~xorg-edgers/+archive/radeon
      I have read some of it. There are several repos mentioned and no clear cut install guides. For instance which of the following do I use:
      https://launchpad.net/~freshgraphics/+archive/ppa
      https://launchpad.net/~xorg-edgers/+archive/radeon

      or do I git clone git://anongit.freedesktop.org/mesa/mesa

      etc etc

      It's too confusing with conflicting advice and some of it is out of date. To be honest I don't have the time to try different methods, be forced to reinstall Ubuntu and try again. I would just like to know which method to use. I'm freely admitting my ignorance. I just can't trawl through countless forum posts (for example the thread you mention is 16 pages long) which talk about things like loading kernel modules, different versions of X and all that I just don't understand.

      Comment


      • #4
        It's right in front of you.

        Originally posted by tormod View Post
        Please read through the thread called "Radeon Gallium on ubuntu", for instance?

        https://launchpad.net/~xorg-edgers/+archive/radeon

        What do you see when you click that link?

        Adding this PPA to your system

        You can update your system with unsupported packages from this untrusted PPA by adding ppa:xorg-edgers/radeon to your system's Software Sources. (Read about installing)
        What do you see when you click that link?

        Step 1: On the PPA's overview page, look for the heading that reads Adding this PPA to your system. Make a note of the PPA's location, which looks like:

        ppa:gwibber-daily/ppa

        Step 2: Open a terminal and enter:

        etc etc...

        Follow steps.
        Run apt-get upgrade.
        ???
        Profit!

        Comment


        • #5
          BTW: The freshgraphics ppa is pretty old by now. It hasn't been updated since April.

          Comment


          • #6
            Thanks for the link to the correct ppa tormod. As rob2687 points out I completely didn't get that it was the link you were pointing me to. For some stupid reason I thought it just a link in your signature. I added the ppa and updated. glxinfo is now
            Code:
            OpenGL vendor string: DRI R300 Project
            OpenGL renderer string: Mesa DRI R300 (RV515 7145) 20090101 x86/MMX/SSE2 TCL DRI2
            OpenGL version string: 1.5 Mesa 7.9-devel

            Comment


            • #7
              still not running gallium3d.

              run:

              sudo apt-get install libgl1-mesa-dri/lucid libgl1-mesa-dri-dbg/lucid libgl1-mesa-glx/lucid libgl1-mesa-glx-dbg/lucid libglu1-mesa/lucid mesa-utils/lucid

              Comment


              • #8
                Originally posted by Beiruty View Post
                still not running gallium3d.

                run:

                sudo apt-get install libgl1-mesa-dri/lucid libgl1-mesa-dri-dbg/lucid libgl1-mesa-glx/lucid libgl1-mesa-glx-dbg/lucid libglu1-mesa/lucid mesa-utils/lucid
                Hi. I ran that command and restarted. I have the same glxinfo as before. Do I need to edit startup options?

                Comment


                • #9
                  Originally posted by Hylow29 View Post
                  Hi. I ran that command and restarted. I have the same glxinfo as before. Do I need to edit startup options?
                  sudo apt-get install libgl1-mesa-dri-gallium

                  Comment


                  • #10
                    Originally posted by Daekdroom View Post
                    sudo apt-get install libgl1-mesa-dri-gallium
                    Thanks.

                    Code:
                    OpenGL vendor string: X.Org R300 Project
                    OpenGL renderer string: Gallium 0.4 on RV515
                    OpenGL version string: 2.1 Mesa 7.9-devel
                    OpenGL shading language version string: 1.20
                    OpenGL extensions:

                    Comment


                    • #11
                      Originally posted by Daekdroom View Post
                      sudo apt-get install libgl1-mesa-dri-gallium
                      In that case he is not using the radeon PPA, where the libgl1-mesa-dri ships the gallium drivers and enables them by default...

                      For the xorg-edgers main PPA it is another story.

                      Comment

                      Working...
                      X